#!/usr/bin/env tclsh
# Write each FILE to standard output, last line first.
# With no FILE, or when FILE is -, read standard input.

set version 8.23
set place after
set match exact
set sep \n

lappend auto_path .

package require getopt 2.1

getopt arg $argv {
    -b - --before {
        # attach the separator before instead of after
        set place before
    }
    -r - --regex {
        # interpret the separator as a regular expression
        set match regexp
    }
    -s: - --separator:STRING {
        # use STRING as the separator instead of newline
        set sep $arg
    }
    -h? - --help {
        # display this help and exit
        help
    }
    --version {
        # output version information and exit
        puts "Version: $version"
        exit 0
    }
    arglist {
        # [FILE]...
        set files $arg
    }
}
